const express = require('express');
const router = express.Router();
const PushController = require('../controllers/push.controller');
const authenticate = require("../middleware/auth");

router
    .route('/key')
    .get(authenticate, PushController.getKey);

router
    .route('/subscribe')
    .post(authenticate, PushController.createSubscribe);

router
    .route('/unsubscribe')
    .delete(authenticate, PushController.deleteSubscribe);

module.exports = router;